<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <!-- font awesome -->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.0.13/css/all.css"
          integrity="sha384-DNOHZ68U8hZfKXOrtjWvjxusGo9WQnrNx2sqG0tfsghAvtVlRW3tvkXWZh58N9jp" crossorigin="anonymous">
    <!--Import Google Icon Font-->
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <!-- Compiled and minified CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0-beta/css/materialize.min.css">

    <title>Sociable Weaver</title>
    <style>
        header {
            background-image: url("https://scx2.b-cdn.net/gfx/news/2019/massivenests.jpg");
            background-size: cover;
            background-position: center;
            min-height: 1000px;
            background-color: #ffffcc;
        }

        @media screen and (max-width: 670px) {
            header {
                min-height: 500px;
            }
        }

        #whoweare {
            background-color: #ffffcc;
        }

        .section {
            padding-top: 4vw;
            padding-bottom: 4vw;
        }

        .tabs.indicator {
            background-color: #ffffcc;
        }

        .tabs.tab a:focus, .tabs.tab a:focus.active {
            background: transparent;
        }

        .img {
            width: ;
        }

        .post-entry-sidebar ul li {
            list-style: none;
            padding: 0 0 20px 0;
            margin: 0 0 20px 0;
        }

        .post-entry-sidebar ul li a {
            display: table;
        }

        .post-entry-sidebar ul li a img {
            width: 90px;
        }

        .post-entry-sidebar ul li a img, .post-entry-sidebar ul li a .text {
            display: table-cell;
            vertical-align: middle;
        }

        .post-entry-sidebar ul li a .text h4 {
            font-size: 18px;
        }

        .blog-entries .blog-entry {
            display: block;
            -webkit-transition: .3s all ease;
            -o-transition: .3s all ease;
            transition: .3s all ease;
            margin-bottom: 30px;
            position: relative; }
        .blog-entries .blog-entry:hover, .blog-entries .blog-entry:focus {
            opacity: .7;
            top: -1px;
            -webkit-box-shadow: 0 3px 50px -2px rgba(0, 0, 0, 0.2) !important;
            box-shadow: 0 3px 50px -2px rgba(0, 0, 0, 0.2) !important; }
        .blog-entries .blog-entry .blog-content-body {
            padding: 20px;
            border: 1px solid #efefef;
            border-top: none; }
        .blog-entries .blog-entry img {
            max-width: 100%; }
        .blog-entries .blog-entry h2 {
            font-size: 18px;
            line-height: 1.5; }
        .blog-entries .blog-entry p {
            font-size: 13px;
            color: gray; }

        .blog-entries .post-meta {
            margin-bottom: 20px;
            font-size: 14px;
            color: #b3b3b3; }
        .blog-entries .post-meta .author img {
            width: 30px;
            border-radius: 50%;
            display: inline-block; }

        .sidebar {
            padding-left: 5em; }
        @media (max-width: 991.98px) {
            .sidebar {
                padding-left: 15px; } }

        .sidebar-box {
            margin-bottom: 4em;
            font-size: 15px;
            width: 100%;
            float: left;
            background: #fff; }
        .sidebar-box *:last-child {
            margin-bottom: 0; }
        .sidebar-box .heading {
            font-size: 18px;
            margin-bottom: 30px;
            padding-bottom: 20px;
            border-bottom: 1px solid #e6e6e6; }

    </style>
</head>

<body>
<header>
    <div class="navbar-fixed" id="fixedNavBar">
    <nav>
        <div class="nav-wrapper " style="background-color:#c3e6cb">
            <a class="brand-logo">Sociable Weaver</a>
            <ul class="right hide-on-med-and-down">
                <li><a href="http://localhost:8080/swagger-ui.html#/" th:target="blank"><b>API</b></a></li>
                <li><a th:href="@{/login}" class="btn-floating btn-large waves-effect waves-light b--light-blue">
                    <i class="material-icons">account_circle</i></a>
                </li>
            </ul>
            <ul class="sidenav grey lighten-2" id="mobile-menu">
                <li><a href="http://localhost:8080/swagger-ui.html#/" th:target="blank">API</a></li>
                <li><a th:href="@{/login}" class="btn-floating btn-large waves-effect waves-light b--light-blue">
                    <i class="material-icons">account_circle</i></a>
                </li>
            </ul>
        </div>
    </nav>
    </div>
</header>

<div class="row" id="whoweare">
    <div class="col s12 ">
        <h2 class="indigo-text text-darken-4" style="text-align: center">Welcome to Sociable Weaver</h2>
        <br>
        <h5 style="text-align: center">Every birdwatcher has unique knowledge and experience. <br>
            <br>
            Sociable Weaver transforms your bird sightings into science and conservation.<br>
            <br>
            Connect with other people who enjoy watching birds, share observations and learn more.
            <br> <br>
            <b>Your sightings may contribute to hundreds of conservation decisions and help inform bird research
                worldwide.</b>
        </h5>
    </div>
</div>

<section class="site-section py-sm">
    <div class="container">
        <div class="row">
            <div class="col-md-6">
                <h2 class="mb-4">Latest Posts</h2>
            </div>
        </div>
        <div class="row blog-entries" >
            <div class="col-md-12 col-lg-8 main-content" th:each="post:${posts}" id="latestPosts">
                <div class="row">
                    <div class="col-md-6">
                        <a class="blog-entry element-animate" data-animate-effect="fadeIn">
                            <img th:src="@{'data:postPhoto/png;base64,'+${post.getPostPhoto()}}" alt="post"
                                 style="width:500px;height:600px; margin: auto">
                            <div class="blog-content-body">
                                <div class="post-meta">
                                        <span class="author mr-2"><img
                                                th:src="@{'data:postPhoto/png;base64,'+${post.getUser().getPhoto()}}"
                                                alt="user"></span>&bullet;
                                    <span class="mr-2"
                                          th:text="${post.getCreatedAt().toString().substring(0,10)}"></span>
                                    <span class="ml-2"><span class="fa fa-comments"
                                                             th:text="${post.getComments().size()}"></span></span>
                                </div>
                                <h2 th:text="${post.getPostText()}"></h2>
                            </div>
                        </a>
                    </div>
                </div>
            </div>
<!--            <div>-->
<!--                <ul class="pagination">-->
<!--                    <li class="nav-item"-->
<!--                        th:each="i : ${#numbers.sequence(0,posts.totalPages-1)}">-->
<!--                        <a class="nav-link" th:classappend="${currentPage}==${i}?'active':''" th:href="@{/(page=${i})}"-->
<!--                           th:text="${i}"> </a></li>-->
<!--                </ul>-->
<!--            </div>-->
            <div class="col-md-12 col-lg-4 sidebar">
                <div class="sidebar-box" id="users">
                    <h3 class="heading">The Flock</h3>
                    <div class="bio text-center" th:each="user:${users}">
                        <img class="circle responsive-img" th:src="@{'data:postPhoto/png;base64,'+${user.getPhoto()}}"
                             alt="Image Placeholder">
                        <div class="bio-body">
                            <h6 th:text="${user.getFirstName()} + ' ' + ${user.getLastName()}">David Craig</h6>
                        </div>
                    </div>
                </div>
<!--                <div>-->
<!--                    <ul class="pagination">-->
<!--                        <li class="nav-item"-->
<!--                            th:each="i : ${#numbers.sequence(0,users.totalPages-1)}">-->
<!--                            <a class="nav-link" th:classappend="${currentPage}==${i}?'active':''"-->
<!--                               th:href="@{/(page=${i})}"-->
<!--                               th:text="${i}">-->
<!--                            </a>-->
<!--                        </li>-->
<!--                    </ul>-->
<!--                </div>-->
                <div class="sidebar-box" id="popularPosts">
                    <h3 class="heading">Popular Posts</h3>
                    <div class="post-entry-sidebar" th:each="popularpost:${popularPosts}">
                        <ul>
                            <li>
                                <a href="">
                                    <img th:src="@{'data:postPhoto/png;base64,'+${popularpost.getPostPhoto()}}"
                                         alt="Image placeholder" class="mr-4">
                                    <div class="text">
                                        <h4 th:text="${popularpost.getPostText()}">text</h4>
                                        <div class="post-meta">
                                        <span class="mr-2"
                                              th:text="${popularpost.getCreatedAt().toString().substring(0,10)}">March 15, 2018 </span>
                                        </div>
                                    </div>
                                </a>
                            </li>
                        </ul>
                    </div>

                    <div>
                        <ul class="pagination">
                            <li class="nav-item"
                                th:each="i : ${#numbers.sequence(0,users.totalPages-1)}">
                                <a class="nav-link" th:classappend="${currentPage}==${i}?'active':''"
                                   th:href="@{/(page=${i})}"
                                   th:text="${i}">
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

</body>

</html>